{"title":"Create customers","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customer_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customer_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customer_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a customer object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":46,"chars":203},{"level":2,"title":"Request headers","slug":"request-headers","at":249,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":351,"chars":87},{"level":2,"title":"Response","slug":"response","at":438,"chars":124},{"level":2,"title":"Example","slug":"example","at":562,"chars":1855},{"level":2,"title":"Related information","slug":"related-information","at":2417,"chars":201}],"text":"Create a customer object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/customers\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of customers object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a customers object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/customers\nContent-type: application/json\n\n{\n    \"displayName\": \"Adatum Corporation\",\n    \"type\": \"Company\",\n    \"addressLine1\": \"192 Market Square\",\n    \"addressLine2\": \"\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"country\": \"US\",\n    \"postalCode\": \"31772\",\n    \"phoneNumber\": \"\",\n    \"email\": \"robert.townes@contoso.com\",\n    \"website\": \"\",\n    \"taxLiable\": true,\n    \"taxAreaId\": \"90196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"taxRegistrationNumber\": \"\",\n    \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n    \"currencyCode\": \"USD\",\n    \"paymentTermsId\": \"04a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"shipmentMethodId\": \"00000000-0000-0000-0000-000000000000\",\n    \"paymentMethodId\": \"3b196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"blocked\": \" \"\n}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n    \"number\": \"10000\",\n    \"displayName\": \"Adatum Corporation\",\n    \"type\": \"Company\",\n    \"addressLine1\": \"192 Market Square\",\n    \"addressLine2\": \"\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"country\": \"US\",\n    \"postalCode\": \"31772\",\n    \"phoneNumber\": \"\",\n    \"email\": \"robert.townes@contoso.com\",\n    \"website\": \"\",\n    \"taxLiable\": true,\n    \"taxAreaId\": \"90196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"taxRegistrationNumber\": \"\",\n    \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n    \"currencyCode\": \"USD\",\n    \"paymentTermsId\": \"04a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"shipmentMethodId\": \"00000000-0000-0000-0000-000000000000\",\n    \"paymentMethodId\": \"3b196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"blocked\": \" \"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_customer\ndynamics_customer_get\ndynamics_customer_delete\ndynamics_customer_update"}